.app__content {
  display: flex;
  overflow-x: hidden;
  flex: 1 0 0%;
  flex-direction: column;
}

.post-page {
  position: relative;
  display: block;
  flex: 1 0 auto;
}

.layout {
  display: block;
  box-sizing: border-box;
  width: 100%;
  padding: 0 60px;
}

.post-header {
  margin: 0 auto;
  max-width: 1220px;

  &__top {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    padding: 30px 0;
    border-bottom: 2px solid #d9d9d9;
  }

  &__title {
    margin: 0;
    letter-spacing: -.03em;
    color: #333;
    font: 700 30px/40px Suisse Intl,system-ui,-apple-system,Segoe UI,Roboto,Noto Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
  }

  &__preview {
    margin: 0;
    font: normal 17px/25px Suisse Intl,system-ui,-apple-system,Segoe UI,Roboto,Noto Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
    color: #999;
  }

  &__title + &__preview {
    margin-top: 20px;
  }

  &__image {
    position: relative;
    display: block;
    flex-shrink: 0;
    overflow: hidden;
    width: 100%;

    &:after {
      display: block;
      padding-bottom: 100%;
      content: "";
    }

    img {
      position: absolute;
      top: 50%;
      left: 50%;
      display: block;
      height: 100%;
      -webkit-transform: translate(-50%,-50%);
      transform: translate(-50%,-50%);
    }
  }
}

@media (min-width: 768px) {
  .post-header {
    &__top {
      flex-wrap: nowrap;
      padding: 40px 0;
    }

    &__text-wrapper {
      padding-right: 15px;
    }

    &__title {
      font: 700 51px/60px Suisse Intl,system-ui,-apple-system,Segoe UI,Roboto,Noto Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
    }

    &__preview {
      font: normal 19px/30px Suisse Intl,system-ui,-apple-system,Segoe UI,Roboto,Noto Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif;
    }

    &__image {
      flex-shrink: 0;
      width: 370px;
      margin-left: auto;
      padding: 0;
    }
  }
}

@media (min-width: 1280px) {
  .post-header {
    &__text-wrapper {
      margin-right: 55px;
    }

    &__preview {
      margin-right: 140px;
    }

    &__image {
      width: 485px;
    }
  }
}